Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1218 - Modified linux.m4 file can cause subsequent cf files to fail
Summary: Modified linux.m4 file can cause subsequent cf files to fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-17 15:31 UTC by gsakal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 19:33:47 UTC


Attachments (Terms of Use)

Description gsakal 1999-02-17 15:31:37 UTC
Apparently, in the Sendmail-cf material included with
Redhat 5.2 (and 5.1 also, I think) under ./cf/ostype/, the
linux.m4 file was modified to customize the location of
Procmail (/usr/bin) instead of the sendmail assumption for
Linux of /usr/local/bin.

Thus, when I used your redhat.mc file as a basis for
building a new cf file when I installed Sendmail 8.9.3,
using the distribution from sendmail.org, the cf file
looked for procmail in the wrong place.  I quickly became
aware of the problem, but it took me awhile to track down
its source.

The "correct" place to declare a non-standard path for
Procmail would have been to put a declare statement at the
top of the Redhat.mc file. This would insure that
subsequent use of this file to build new cf files with new
releases of sendmail would work correctly.
Just a suggestion.

EXAMPLE:
define(`PROCMAIL_MAILER_PATH',`/usr/bin/procmail')

Gregory J. Sakal
Info. Technology Coordinator
NELINET, Inc.
Newton, MA

Comment 1 Jay Turner 1999-03-26 19:33:59 UTC
fixed...


Note You need to log in before you can comment on or make changes to this bug.